version: '2'

services:
  prosody:
    image: 'prosody/prosody'
    hostname: prosody
    container_name: prosody
    restart: always
    ports:
      - 5001:5001
      - 5222:5222
      - 5269:5269
      - 5289:5289
    volumes:
      - ./prosody/prosody:/etc/prosody
      - /opt/docker/secure/privkey.pem:/etc/prosody/certs/hatthieves.es.key:ro
      - /opt/docker/secure/fullchain.pem:/etc/prosody/certs/hatthieves.es.crt:ro
      - ./prosody/pid:/var/run/prosody
    networks:
      mynet:
        ipv4_address: 172.111.0.101


networks:
  mynet:
    driver: bridge
    ipam:
      config:
      - subnet: 172.111.0.0/24
